Page MenuHomePhabricator

Develop HTML Content API to be used with companion structured JSON APIs
Closed, ResolvedPublic

Description

This HTML applies all common transforms for general API clients that can make use of structured APIs.

By "content", this means the HTML that is specifically a pages content, as opposed to metadata about an article that is typically encoded within the page itself.

A good example of this is references. These are typically included as a long list at the bottom of an page. These will be omitted from this API and instead clients can obtain them by using the structured JSON API.

Other examples include hatnotes, page issues and categories.

Additionally, the transforms may be applied to improve rendering/readability (such as moving the lead paragraph, inserting Wikidata descriptions, or lead images). A list of the transforms that are applied at this layer is TBD (pending outcome of understanding common transforms across all clients).

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedJhernandez
Resolved bearND
Resolved bearND
DuplicateNone
Resolved bearND
Declined bearND
Resolved bearND
Resolved bearND
Resolved bearND
Resolved bearND
Resolved Mholloway
Resolved bearND
ResolvedMhurd
ResolvedDbrant
Resolved bearND
Resolved bearND
Resolved NHarateh_WMF
ResolvedMSantos
ResolvedMSantos
ResolvedMSantos
ResolvedSharvaniharan
Resolved bearND
ResolvedJhernandez
Resolved bearND
DuplicateNone
Resolved bearND
Resolved Mholloway
Resolved Mholloway
ResolvedBUG REPORT bearND
ResolvedBUG REPORTJhernandez
ResolvedBUG REPORT Mholloway
ResolvedBUG REPORTDbrant
ResolvedJdlrobson
Resolved bearND
ResolvedJhernandez
Resolved bearND
ResolvedMSantos
Resolved bearND
Resolved bearND
DeclinedNone
Resolved bearND
DeclinedNone
ResolvedMSantos
DeclinedNone
ResolvedSpikeJMinor
ResolvedBUG REPORTMSantos
ResolvedMSantos
ResolvedMSantos
ResolvedJoeWalsh
Resolved mobrovac
ResolvedMSantos
ResolvedMSantos
OpenSpikeNone
DeclinedNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
bearND triaged this task as Medium priority.

Change 438090 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] Content_html: add CSS link and viewport meta

https://gerrit.wikimedia.org/r/438090

Change 438091 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] Hygiene: add parameter for relocateFirstParagraph

https://gerrit.wikimedia.org/r/438091

Change 438092 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] content-html: Relocate first paragraph

https://gerrit.wikimedia.org/r/438092

Change 438090 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Content_html: add CSS link and viewport meta

https://gerrit.wikimedia.org/r/438090

Change 438091 merged by BearND:
[mediawiki/services/mobileapps@master] Hygiene: add parameter for relocateFirstParagraph

https://gerrit.wikimedia.org/r/438091

Change 438092 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] content-html: Relocate first paragraph

https://gerrit.wikimedia.org/r/438092

Jhernandez raised the priority of this task from Medium to High.Jul 6 2018, 12:31 PM
Jhernandez added a subscriber: Jhernandez.

We are working on this, reflecting reality. ☝️

bearND renamed this task from Develop HTML Content API to be used with companion structured JSON APIs to Expose /page/content-html endpoint via RESTBase.Jul 12 2018, 11:37 PM
bearND lowered the priority of this task from High to Medium.
bearND added a project: Services.
bearND updated the task description. (Show Details)
bearND removed a subscriber: gerritbot.

Oops, meant to create a sub task instead. Going to revert.

bearND renamed this task from Expose /page/content-html endpoint via RESTBase to Develop HTML Content API to be used with companion structured JSON APIs.Jul 12 2018, 11:38 PM
bearND raised the priority of this task from Medium to High.
bearND removed a project: Services.

@bearND Mind moving the subtasks related to this that you are working on to the kanban board instead of this one? I made it an epic based on your comment in T217837#5022095

bearND added a subscriber: bearND.
sbassett changed the status of subtask Restricted Task from Open to Stalled.Nov 12 2019, 11:10 PM
MSantos changed the status of subtask Restricted Task from Stalled to Open.Dec 5 2019, 1:53 PM
sbassett closed subtask Restricted Task as Resolved.Dec 12 2019, 5:56 PM
MSantos added a subscriber: MSantos.

I will be bold and resolve the epics related to the PCS project, which is finished, stable, and now in maintenance mode. Please re-open if you think I'm missing something.